
QGIS Application - Bug report #10927

composerMapItems constructor is missing from 32bit version

2014-07-22 10:17 AM - Ed B

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 19286

Description

I have a plugin [0] which uses composerMapItems constructor but the plugin is giving me problems on 32bit versions.  I compared the

result of dir(QgsComposition) on a 32 bit version and a 64 bit version and the 32 bit version is missing composerMapItems.  The 32 bit

version is also missing 'senderSignalIndex'.

http://plugins.qgis.org/plugins/syncComposerWithMap/

History

#1 - 2014-07-22 10:25 AM - Ed B

I mean the Windows 32 bit version.

#2 - 2014-07-22 03:51 PM - Nyall Dawson

- Category changed from Map Composer/Printing to Windows Package

This is a packaging issue - as mentioned in the docs that method requires pyqt >= 4.8.4 . currently the 32 bit windows build uses pyqt 4.8.3.

#3 - 2014-07-23 12:14 AM - Jürgen Fischer

- Resolution set to up/downstream

- Category deleted (Windows Package)

#4 - 2014-07-24 03:00 AM - Giovanni Manghi

- Status changed from Open to Closed

#5 - 2014-08-22 03:27 AM - Regis Haubourg

Just for the record, I opened a ticket in osgeo4w tracker. We also have mask plugin broken in 32 bit package.. 

OSGeo4W !#433
